"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.BulkOperations = void 0;
const resource_1 = require("../core/resource.js");
const path_1 = require("../internal/utils/path.js");
class BulkOperations extends resource_1.APIResource {
    /**
     * Retrieves a bulk operation (if it exists) and displays the current state of it.
     *
     * @example
     * ```ts
     * const bulkOperation = await client.bulkOperations.get(
     *   '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
     * );
     * ```
     */
    get(id, options) {
        return this._client.get((0, path_1.path) `/v1/bulk_operations/${id}`, options);
    }
}
exports.BulkOperations = BulkOperations;
//# sourceMappingURL=bulk-operations.js.map