import { APIResource } from "../../core/resource.mjs";
import { APIPromise } from "../../core/api-promise.mjs";
import { RequestOptions } from "../../internal/request-options.mjs";
export declare class Census extends APIResource {
    /**
     * Processes a Census custom destination RPC request.
     */
    customDestination(body: CensusCustomDestinationParams, options?: RequestOptions): APIPromise<CensusCustomDestinationResponse>;
}
export interface CensusCustomDestinationResponse {
    /**
     * The request ID.
     */
    id?: string;
    /**
     * The result of the RPC call.
     */
    result?: Record<string, unknown>;
}
export interface CensusCustomDestinationParams {
    /**
     * The unique identifier for the RPC request.
     */
    id: string;
    /**
     * The JSON-RPC version.
     */
    jsonrpc: string;
    /**
     * The method name to execute.
     */
    method: string;
    /**
     * The parameters for the method.
     */
    params?: Record<string, unknown>;
}
export declare namespace Census {
    export { type CensusCustomDestinationResponse as CensusCustomDestinationResponse, type CensusCustomDestinationParams as CensusCustomDestinationParams, };
}
//# sourceMappingURL=census.d.mts.map