import { APIResource } from "../../core/resource.js";
import { APIPromise } from "../../core/api-promise.js";
import { RequestOptions } from "../../internal/request-options.js";
export declare class Hightouch extends APIResource {
    /**
     * Processes a Hightouch embedded destination RPC request.
     */
    embeddedDestination(body: HightouchEmbeddedDestinationParams, options?: RequestOptions): APIPromise<HightouchEmbeddedDestinationResponse>;
}
export interface HightouchEmbeddedDestinationResponse {
    /**
     * The request ID.
     */
    id?: string;
    /**
     * The result of the RPC call.
     */
    result?: Record<string, unknown>;
}
export interface HightouchEmbeddedDestinationParams {
    /**
     * The unique identifier for the RPC request.
     */
    id: string;
    /**
     * The JSON-RPC version.
     */
    jsonrpc: string;
    /**
     * The method name to execute.
     */
    method: string;
    /**
     * The parameters for the method.
     */
    params?: Record<string, unknown>;
}
export declare namespace Hightouch {
    export { type HightouchEmbeddedDestinationResponse as HightouchEmbeddedDestinationResponse, type HightouchEmbeddedDestinationParams as HightouchEmbeddedDestinationParams, };
}
//# sourceMappingURL=hightouch.d.ts.map