"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bulk = void 0;
const resource_1 = require("../../core/resource.js");
class Bulk extends resource_1.APIResource {
    /**
     * Bulk creates up to 1,000 schedules at a time. This endpoint also handles
     * [inline identifications](/managing-recipients/identifying-recipients#inline-identifying-recipients)
     * for the `actor`, `recipient`, and `tenant` fields.
     *
     * @example
     * ```ts
     * const bulkOperation = await client.schedules.bulk.create({
     *   schedules: [
     *     {
     *       data: { ... },
     *       ending_at: null,
     *       recipient: 'dnedry',
     *       repeats: [
     *         { ... },
     *       ],
     *       scheduled_at: null,
     *       tenant: 'acme_corp',
     *       workflow: 'comment-created',
     *     },
     *     {
     *       data: { ... },
     *       ending_at: null,
     *       recipient: 'esattler',
     *       repeats: [
     *         { ... },
     *       ],
     *       scheduled_at: null,
     *       tenant: 'acme_corp',
     *       workflow: 'comment-created',
     *     },
     *   ],
     * });
     * ```
     */
    create(body, options) {
        return this._client.post('/v1/schedules/bulk/create', { body, ...options });
    }
}
exports.Bulk = Bulk;
//# sourceMappingURL=bulk.js.map