"use strict";
// File generated from our OpenAPI spec by Stainless. See CONTRIBUTING.md for details.
Object.defineProperty(exports, "__esModule", { value: true });
exports.Bulk = void 0;
const resource_1 = require("../../core/resource.js");
class Bulk extends resource_1.APIResource {
    /**
     * Delete multiple tenants in a single operation. This operation cannot be undone.
     *
     * @example
     * ```ts
     * const bulkOperation = await client.tenants.bulk.delete({
     *   tenant_ids: ['string'],
     * });
     * ```
     */
    delete(params, options) {
        const { tenant_ids } = params;
        return this._client.post('/v1/tenants/bulk/delete', { query: { tenant_ids }, ...options });
    }
    /**
     * Set or update up to 1,000 tenants in a single operation.
     *
     * @example
     * ```ts
     * const bulkOperation = await client.tenants.bulk.set({
     *   tenants: ['[object Object]'],
     * });
     * ```
     */
    set(body, options) {
        return this._client.post('/v1/tenants/bulk/set', { body, ...options });
    }
}
exports.Bulk = Bulk;
//# sourceMappingURL=bulk.js.map